Bug 10903 - creates duplicate records in lilo.conf
: creates duplicate records in lilo.conf
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/bootloader-utils)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-21 23:27 by
Modified: 2007-02-24 23:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-21 23:27:42
bootloader-utils-0.3.1-alt1.1.1 creates duplicate records in /etc/lilo.conf
(apparently even for newly installed kernels in some cases).  Then lilo fails
with 'Fatal: Duplicate label "..."'.

Cause: /\/vmlinuz-\Q$version\E\s/ pattern no longer matches records created by
new script due to added quotes, therefore the duplicate check fails.
------- Comment #1 From 2007-02-22 12:35:07 -------
Hopefully fixed in 0.3.2-alt1.